Bug 32346

Summary: mod_include/include virtual checks content-type is text/
Product: Apache httpd-2 Reporter: topia
Component: mod_includeAssignee: Apache HTTPD Bugs Mailing List <bugs>
Status: RESOLVED LATER    
Severity: enhancement Keywords: MassUpdate, PatchAvailable
Priority: P2    
Version: 2.1-HEAD   
Target Milestone: ---   
Hardware: All   
OS: All   
Attachments: support include application/foo+xml with IncludeNoExec patch, for manual and mod_include.c.

Description topia 2004-11-22 16:11:12 UTC
I tried use <!--#include virtual="bar.xhtml" -->, but get

> [Mon Nov 22 23:20:05 2004] [error] [client 127.0.0.1] unable to include
potential exec "bar.xhtml" in parsed file foo.xhtml

error. mod_include.c has following line:

>        if (!error_fmt && (ctx->flags & SSI_FLAG_NO_EXEC) &&
>            rr->content_type && strncmp(rr->content_type, "text/", 5)) {
>
>            error_fmt = "unable to include potential exec \"%s\" in parsed "
>                        "file %s";
>        }

This check is correct IncludesNoExec semantics?
Comment 1 Nick Kew 2004-11-22 22:53:32 UTC
The basic semantics are as intended, though it would probably be preferable to
allow application/foo+xml content types in IncludesNoExec.  I might even make
that mod.

Your report implies a valid suggestion for enhancement, but isn't really a bug
report.  In future it might be preferable to raise this kind of issue in a user
support forum.
Comment 2 topia 2004-11-23 00:06:16 UTC
So, Minimum request is to permit application/foo+xml.
but I think this check is really unnecessary, and harmful.

Why it doesn't use mod_auth* to decide allow/deny(and use 'Options -ExecCGI' to
CGI...)
for virtual's Sub-requests, too?
Comment 3 topia 2004-11-25 10:37:54 UTC
Oh, sorry. This behavior was described on include element.
(maybe skipped through reading...)
agree to support application/foo+xml only.
Comment 4 topia 2004-11-26 11:50:10 UTC
Created attachment 13547 [details]
support include application/foo+xml with IncludeNoExec patch, for manual and mod_include.c.
Comment 5 William A. Rowe Jr. 2018-11-07 21:08:32 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.